Class | Ramaze::Reloader::WatchStat
In: | lib/ramaze/reloader/watch_stat.rb
Parent: | Object

### Methods

call changed_files close new remove_watch safe_stat watch watching?

### Public Class methods

new()

### Public Instance methods

call(cooldown) {|| ...}
changed_files() {|file| ...}

return files changed since last call

close()

no need for cleanup

remove_watch(file)

stop watching a file for changes

safe_stat(file)
watch(file)

start watching a file for changes true if succeeded, false if failure

watching?(file)

[Validate]